Bug 74538 - [Mac] fast/events/autoscroll-should-not-stop-on-keypress.html fails
Summary: [Mac] fast/events/autoscroll-should-not-stop-on-keypress.html fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rakesh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-14 13:47 PST by Ryosuke Niwa
Modified: 2011-12-23 09:34 PST (History)
3 users (show)

See Also:


Attachments
Modified Test (12.31 KB, patch)
2011-12-23 03:32 PST, Rakesh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2011-12-14 13:47:19 PST
From https://bugs.webkit.org/show_bug.cgi?id=73821

 Comment #9 From Ryosuke Niwa 2011-12-10 13:40:14 PST (-) [reply] 
The test added by this patch is failing on SL ever since the test was added:
http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(Tests)/r102526%20(35366)/results.html
http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(Tests)/r102526%20(35366)/fast/events/autoscroll-should-not-stop-on-keypress-pretty-diff.html

 Comment #10 From Alexey Proskuryakov 2011-12-14 13:41:58 PST (-) [reply] 
Looks like this way of starting autoscroll doesn't work on Mac. But we have other autoscroll tests in fast/events, which work fine. Looks like the trick is to use an iframe instead of moving mouse pointer out of the window.
Comment 1 Ryosuke Niwa 2011-12-14 13:54:17 PST
Temporarily skipped the test in http://trac.webkit.org/changeset/102820.
Comment 2 Rakesh 2011-12-23 03:32:42 PST
Created attachment 120451 [details]
Modified Test

Modified test, now autoscroll is tested in iframe.
Comment 3 WebKit Review Bot 2011-12-23 09:34:50 PST
Comment on attachment 120451 [details]
Modified Test

Clearing flags on attachment: 120451

Committed r103633: <http://trac.webkit.org/changeset/103633>
Comment 4 WebKit Review Bot 2011-12-23 09:34:54 PST
All reviewed patches have been landed.  Closing bug.